MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029400Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-12-25 11:362018-02-20 12:58
Reporteremv 
Assigned Toemv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version 
Summary0029400: Fuse of two edges creates self-interfered shape
DescriptionThe result of FUSE operation on two edges is a self-interfered shape.

The problem has been detected while processing the issue #0028211 in the test case bugs/modalg_5/bug25319_1.
Steps To Reproducerestore [locate_data_file bug29400_edges.brep] le
bclearobjects
bcleartools
baddcompound le
bfillds
bbuild result
bopcheck result
TagsNo tags attached.
Test case numberbugs modalg_7 bug29400
Attached Files

- Relationships

-  Notes
(0073101)
git (administrator)
2017-12-25 11:48

Branch CR29400 has been created by emv.

SHA-1: e25185fff00ab370800b0af074313ca0c728731b


Detailed log of new commits:

Author: emv
Date: Mon Dec 25 11:47:53 2017 +0300

    0029400: Fuse of two edges creates self-interfered shape
    
    Avoid creation of the edges with too small valid range (not allowing to split the edge) and interfering vertices.
    Test case for the issue.
(0073106)
emv (developer)
2017-12-25 14:33

Dear Mikhail, could you please review the git branch CR29400?
Jenkins job - http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29400-master-emv/. [^]
(0073109)
msv (developer)
2017-12-25 14:40

Reviewed.
(0073112)
apn (administrator)
2017-12-25 15:03
edited on: 2017-12-25 16:56

Combination -
OCCT branch : CR29400 SHA - e25185fff00ab370800b0af074313ca0c728731b
Products branch : master SHA - 8cfd04a34de609800e36c28f29ee8e42919a0098
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs caf bug29371 - OK

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18330.73999999971 / 18513.219999999714 [-0.99%]
Products
Total CPU difference: 7472.589999999992 / 7509.540000000005 [-0.49%]
Windows-64-VC10:
OCCT
Total CPU difference: 17868.791342798602 / 17919.33566679854 [-0.28%]
Products
Total CPU difference: 7998.998075299986 / 8016.251785899991 [-0.22%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0073334)
git (administrator)
2018-01-11 11:10

Branch CR29400 has been deleted by kgv.

SHA-1: e25185fff00ab370800b0af074313ca0c728731b

- Related Changesets
occt: master e25185ff
Timestamp: 2017-12-25 08:47:53
Author: emv
Details ] Diff ]
0029400: Fuse of two edges creates self-interfered shape

Avoid creation of the edges with too small valid range (not allowing to split the edge) and interfering vertices.
Test case for the issue.
mod - src/BOPAlgo/BOPAlgo_PaveFiller_2.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug29400 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-25 11:36 emv New Issue
2017-12-25 11:36 emv Assigned To => msv
2017-12-25 11:37 emv Assigned To msv => emv
2017-12-25 11:37 emv Status new => assigned
2017-12-25 11:37 emv Steps to Reproduce Updated View Revisions
2017-12-25 11:37 emv Relationship added child of 0028211
2017-12-25 11:48 git Note Added: 0073101
2017-12-25 14:33 emv Note Added: 0073106
2017-12-25 14:33 emv Assigned To emv => msv
2017-12-25 14:33 emv Status assigned => resolved
2017-12-25 14:33 emv Relationship added related to 0025319
2017-12-25 14:40 msv Note Added: 0073109
2017-12-25 14:40 msv Assigned To msv => bugmaster
2017-12-25 14:40 msv Status resolved => reviewed
2017-12-25 15:03 apn Test case number => bugs modalg_7 bug29400
2017-12-25 15:03 apn Note Added: 0073112
2017-12-25 15:03 apn Status reviewed => tested
2017-12-25 16:56 apn Note Edited: 0073112 View Revisions
2017-12-30 18:43 emv Changeset attached => occt master e25185ff
2017-12-30 18:43 emv Assigned To bugmaster => emv
2017-12-30 18:43 emv Status tested => verified
2017-12-30 18:43 emv Resolution open => fixed
2018-01-11 11:10 git Note Added: 0073334
2018-02-20 12:58 aiv Target Version 7.4.0* => 7.3.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker